> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List API keys in the workspace, including deleted API keys. The secret is never returned.

| Scope | Required |
| - | - |
| `api_keys:read` | Yes |


## OpenAPI

````yaml /references/platform-api/2026-11-04.yaml get /api_keys
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-11-04.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-11-04.everglades
  x-git-commit:
    sha: e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    url: >-
      https://github.com/mirurobotics/openapi/commit/e1decbb4c54ce8a4bf2f78b8728b2b10654294c9
    message: >-
      feat(platform): add archived and deleted list filters, and tidy
      descriptions (#446)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-11-05T23:04:32.018858+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /api_keys:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - API Keys
      summary: List
      description: >-
        List API keys in the workspace, including deleted API keys. The secret
        is never returned.
      operationId: listAPIKeys
      parameters:
        - $ref: '#/components/parameters/offset'
        - $ref: '#/components/parameters/limit'
        - $ref: '#/components/parameters/api_key_order_bys'
        - $ref: '#/components/parameters/api_key_list_expansions'
        - $ref: '#/components/parameters/api_key_search_id'
        - $ref: '#/components/parameters/api_key_deleted'
      responses:
        '200':
          description: Successfully listed the API keys.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIKeyList'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-11-04.everglades
      description: The API version the client was built against.
    offset:
      name: offset
      in: query
      required: false
      description: >-
        The offset of the items to return. An offset of 10 with a limit of 10
        returns items 11-20.
      schema:
        type: integer
        default: 0
        minimum: 0
        example: 0
    limit:
      name: limit
      in: query
      required: false
      description: >-
        The maximum number of items to return. A limit of 15 with an offset of 0
        returns items 1-15.
      schema:
        type: integer
        default: 10
        minimum: 1
        maximum: 100
        example: 10
    api_key_order_bys:
      name: order_by
      in: query
      required: false
      style: form
      explode: false
      description: Sort order for the API key results.
      schema:
        type: array
        items:
          $ref: '#/components/schemas/APIKeyOrderBy'
        example:
          - created_at:desc
    api_key_list_expansions:
      name: expand
      in: query
      required: false
      description: Fields to expand on each API key in the list.
      x-miru-example-exempt: true
      schema:
        type: array
        items:
          $ref: '#/components/schemas/APIKeyListExpansion'
    api_key_search_id:
      name: id
      in: query
      required: false
      style: form
      explode: false
      description: The API key IDs to filter by.
      schema:
        type: array
        items:
          type: string
        example:
          - api_key_123
    api_key_deleted:
      name: deleted
      in: query
      required: false
      description: >-
        Filter by deleted state. `any` (default) returns deleted and active API
        keys, `false` returns only active API keys, and `true` returns only
        deleted API keys.
      schema:
        type: string
        enum:
          - 'false'
          - 'true'
          - any
        default: any
        example: 'false'
  schemas:
    APIKeyList:
      title: APIKey List
      allOf:
        - $ref: '#/components/schemas/PaginatedList'
        - type: object
          required:
            - data
          properties:
            data:
              type: array
              items:
                $ref: '#/components/schemas/APIKey'
              description: The list of API keys.
    APIKeyOrderBy:
      type: string
      enum:
        - id:asc
        - id:desc
        - created_at:asc
        - created_at:desc
        - name:asc
        - name:desc
      x-enum-varnames:
        - API_KEY_ORDER_BY_ID_ASC
        - API_KEY_ORDER_BY_ID_DESC
        - API_KEY_ORDER_BY_CREATED_AT_ASC
        - API_KEY_ORDER_BY_CREATED_AT_DESC
        - API_KEY_ORDER_BY_NAME_ASC
        - API_KEY_ORDER_BY_NAME_DESC
      default: created_at:desc
    APIKeyListExpansion:
      type: string
      enum:
        - total_count
      x-enum-varnames:
        - API_KEY_LIST_EXPAND_TOTAL_COUNT
    PaginatedList:
      title: Paginated List
      type: object
      required:
        - object
        - limit
        - offset
        - has_more
      properties:
        object:
          type: string
          enum:
            - list
          example: list
          x-stainless-const: true
          description: The object type, which is always `list`.
        total_count:
          type: integer
          format: int64
          description: >-
            The total number of items in the list. By default the total count is
            not returned. The total count must be expanded (using
            expand=total_count) to get the total number of items in the list.
        limit:
          type: integer
          description: >-
            The maximum number of items to return. A limit of 15 with an offset
            of 0 returns items 1-15.
          default: 10
          minimum: 1
          maximum: 100
        offset:
          type: integer
          description: >-
            The offset of the items to return. An offset of 10 with a limit of
            10 returns items 11-20.
          default: 0
          minimum: 0
        has_more:
          type: boolean
          description: >-
            True if there are more items in the list to return. False if there
            are no more items to return.
          example: false
    APIKey:
      title: APIKey
      type: object
      required:
        - object
        - id
        - name
        - description
        - scopes
        - last_used_at
        - created_at
        - updated_at
        - deleted_at
        - created_by_id
      properties:
        object:
          type: string
          enum:
            - api_key
          example: api_key
          x-stainless-const: true
          description: The object type, which is always `api_key`.
        id:
          type: string
          example: api_key_123
          description: >-
            ID of the API key. Attribution fields such as `created_by_id` on
            other resources hold this ID when the API key performed the action.
        name:
          type: string
          example: My CI/CD Key
          description: Name of the API key.
        description:
          type: string
          nullable: true
          example: CI token for the staging deploy pipeline
          description: A free-form description of the API key.
        scopes:
          type: array
          items:
            type: string
          example:
            - devices:read
            - deployments:read
          description: Slugs of the scopes granted to the API key.
        last_used_at:
          type: string
          format: date-time
          nullable: true
          example: '2021-01-01T00:00:00Z'
          description: >-
            Timestamp of when the API key last successfully authenticated a
            request. Null if the API key has never been used.
        created_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the API key was created.
        updated_at:
          type: string
          format: date-time
          example: '2021-01-01T00:00:00Z'
          description: Timestamp of when the API key was last updated.
        deleted_at:
          type: string
          format: date-time
          nullable: true
          example: '2021-01-01T00:00:00Z'
          description: >-
            Timestamp of when the API key was deleted. Null if the API key is
            active. A deleted API key can no longer authenticate requests.
        created_by_id:
          type: string
          example: usr_123
          description: ID of the user who created the API key.
      example:
        object: api_key
        id: api_key_123
        name: My CI/CD Key
        description: CI token for the staging deploy pipeline
        scopes:
          - devices:read
          - deployments:read
        last_used_at: '2021-01-01T00:00:00Z'
        created_at: '2021-01-01T00:00:00Z'
        updated_at: '2021-01-01T00:00:00Z'
        deleted_at: null
        created_by_id: usr_123
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.